SysIdentify

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
SysIdentifi.MainWindow Class Reference

Interaction logic for MainWindow.xaml More...

Inheritance diagram for SysIdentifi.MainWindow:

## Public Member Functions
| MainWindow ()
| Constructor for Main window More...

## Static Public Member Functions
static System.Windows.Media.SolidColorBrush | IntToColor (int ID)
| Return color for specific ID. Return 15 colors. More...

## Private Member Functions
void | ChangedStateEvent (object source, StateEvent e)
| Event - change state of generator More...
void | DataArrivedEvent (object source)
| Arrived all data from measurement from PLC More...
void | CurrentArrivedEvent (object source)
| Arrived data set with current values More...
void | ErrorOccuredEvent (object source)
| Occured error in PLC More...
void | button_Connect_Click (object sender, RoutedEventArgs e)
| Connect/Disconnect to PLC More...
void | button_Run_Click (object sender, RoutedEventArgs e)
| Run external genrator More...
void | button_Stop_Click (object sender, RoutedEventArgs e)
| Stop external generator More...
void | button_SaveData_Click (object sender, RoutedEventArgs e)
| Show saveFileDialog_SaveData More...
void | saveFileDialog_SaveData_FileOk (object sender, CancelEventArgs e)
| saveFileDialog_SaveData is closed - save data More...
void | button_SaveSettingsData_Click (object sender, RoutedEventArgs e)
| Show saveFileDialog_SaveSettingsData More...
void | saveFileDialog_SaveSettingsData_FileOk (object sender, CancelEventArgs e)
| saveFileDialog_SaveSettingsData is closed - save settings More...
void | button_LoadData_Click (object sender, RoutedEventArgs e)
| Show openFileDialog_LoadData More...
void | button_LoadTcBodePlotData_Click (object sender, RoutedEventArgs e)
| Show openFileDialog_LoadTcBodeData More...
void | button_LoadProfData_Click (object sender, RoutedEventArgs e)
| Show openFileDialog_LoadProfData More...
void | button_LoadSettings_Click (object sender, RoutedEventArgs e)
| Show openFileDialog_SettingsData More...
void | openFileDialog_LoadData_FileOk (object sender, CancelEventArgs e)
| openFileDialog_LoadData is closed - load data from spectral analysis (SysIdentifi data) More...
void | openFileDialog_LoadTcBodeData_FileOk (object sender, CancelEventArgs e)
| openFileDialog_LoadTcBodeData is closed - load data from Beckhoff TwinCAT tool More...
void | openFileDialog_LoadProfData_FileOk (object sender, CancelEventArgs e)
| openFileDialog_LoadProfData is closed - load motion profile data More...
void | openFileDialog_SettingsData_FileOk (object sender, CancelEventArgs e)
| openFileDialog_SettingsData is closed - load generator settings More...
void | button_ResetError_Click (object sender, RoutedEventArgs e)
| Reset error state of external generator (TwinCatExtGen1) More...
void | button_ResetZoom_Click (object sender, RoutedEventArgs e)
| Reset zoom of all graphs More...
void | button_DeleteAllCurve_Click (object sender, RoutedEventArgs e)
| Delete of curves More...
void | button_Asymptote_Click (object sender, RoutedEventArgs e)
| Active event for addition of asymptote More...
void | button_EditAsymptote_Click (object sender, RoutedEventArgs e)
| Active event for editing of asymptote More...
void | MenuExit_Click (object sender, RoutedEventArgs e)
| Close application More...
void | button_EditNotes_Click (object sender, RoutedEventArgs e)
| Edit notes More...
void | MenuHelpSk_Click (object sender, RoutedEventArgs e)
| Manual in Slovak More...
void | MenuHelpEn_Click (object sender, RoutedEventArgs e)
| Manual in English More...
void | eventChangeTreeItem (object source, System.Windows.RoutedEventArgs e)
| Event for click on main checkbox in TreeView element(list of curves) - all curves expect for asymptote TreeViewElement More...
void | eventChangeAsymptoteTreeItem (object source, System.Windows.RoutedEventArgs e)
| Event for click on main checkbox in TreeView element(list of curves) - only asymptote TreeViewElement More...
void | eventChangeTreeClosedLoopItem (object source, System.Windows.RoutedEventArgs e)
| Event from change Closed loop TreeView element (Click event) More...
void | eventEnabledTreeClosedLoopItem (object source, System.Windows.DependencyPropertyChangedEventArgs e)
| Event from change Closed loop TreeView element (Enabled property changed - event) More...
void | eventChangeTreeOpenLoopItem (object source, System.Windows.RoutedEventArgs e)
| Event from change Open loop TreeView element (Click event) More...
void | eventEnabledTreeOpenLoopItem (object source, System.Windows.DependencyPropertyChangedEventArgs e)
| Event from change Open loop TreeView element (Enabled property changed - event) More...
void | eventGotFocusTreeItem (object source, System.Windows.RoutedEventArgs e)
| Event - TreeView item got focus More...
void | eventChangeTreeStepItem (object source, System.Windows.RoutedEventArgs e)
| Event from change Step TreeView element (Click event) More...
void | eventEnabledTreeStepItem (object source, System.Windows.DependencyPropertyChangedEventArgs e)
| Event from change Step response TreeView element (Enabled property changed - event) More...
void | eventChangeTreeStepResInItem (object source, System.Windows.RoutedEventArgs e)
| Event from change In item in Step response TreeView element (Click event) More...
void | eventChangeTreeStepResOutItem (object source, System.Windows.RoutedEventArgs e)
| Event from change Out item in Step response TreeView element (Click event) More...
void | eventChangeTreeProcessItem (object source, System.Windows.RoutedEventArgs e)
| Event from change Process TreeView element (Click event) More...
void | eventEnabledTreeProcessItem (object source, System.Windows.DependencyPropertyChangedEventArgs e)
| Event from change Process TreeView element (Enabled property changed - event) More...
void | comboBox_ModeControl_SelectionChanged (object sender, SelectionChangedEventArgs e)
| Changed selection comboBox_ModeControl - control mode More...
void | comboBox_Units_SelectionChanged (object sender, SelectionChangedEventArgs e)
| Changed selection comboBox_Units - units More...
void | textBox_CountOfRepeat_TextChanged (object sender, TextChangedEventArgs e)
| Changed count of repeat of identification signal set More...
void | textBox_Period_LostFocus (object sender, RoutedEventArgs e)
| Changed period of identification signal More...
void | comboBox_SelectedInputSignal_SelectionChanged (object sender, SelectionChangedEventArgs e)
| Changed type of identification signal More...
void | textBox_PreTriggerStep_LostFocus (object sender, RoutedEventArgs e)
| Changed pre-trigger time for step response More...
void | textBox_TimeStep_LostFocus (object sender, RoutedEventArgs e)
| Changed duration of step response More...
void | radioButton_Linear_Checked (object sender, RoutedEventArgs e)
| Changed type of x-axis - linear More...
void | radioButton_Logaritmic_Checked (object sender, RoutedEventArgs e)
| Changed type of x-axis - logarithmic More...
void | textBox_AllowPositionRange_GotFocus (object sender, RoutedEventArgs e)
| If set value for allowed position range -> enable position range check More...
void | textBox_AllowedTorqueRangeIdent_GotFocus (object sender, RoutedEventArgs e)
| If set value for allowed torque range during indentification -> enable torque range check during indetification More...
void | textBox_AllowedTorqueRangeStRes_GotFocus (object sender, RoutedEventArgs e)
| If set value for allowed torque range during step response -> enable torque range check during step response More...
void | comboBoxModeAnalysis_SelectionChanged (object sender, SelectionChangedEventArgs e)
| Changed mode of spectral analysis - refresh bode diagram More...
void | textBox_LengthWindow_TextChanged (object sender, TextChangedEventArgs e)
| Changed length window for spectral analysis - refresh bode diagram More...
void | checkBox_CheckPhaseOwerflow_Click (object sender, RoutedEventArgs e)
| Changed check phase overflow - refresh bode diagram More...
void | textBox_OffsetIOdata_TextChanged (object sender, TextChangedEventArgs e)
| Changed offset for measured I/O data - refresh bode diagram More...
void | checkBox_AbsCurrent_Click (object sender, RoutedEventArgs e)
| Changed check abs current - refresh current graph More...
void | Window_Closed (object sender, EventArgs e)
| Application is closed - Disconnect from PLC More...
void | NumberValidationTextBox (object sender, TextCompositionEventArgs e)
| Allow only positive integers insert to textBoxes More...
void | NumberIntValidationTextBox (object sender, TextCompositionEventArgs e)
| Allow only integers insert to textBoxes More...
void | NumberDoubleValidationTextBox (object sender, TextCompositionEventArgs e)
| Allow only float nummbers insert to textBoxes More...
void | NumberPositiveDoubleValidationTextBox (object sender, TextCompositionEventArgs e)
| Allow only positive float nummbers insert to textBoxes More...
void | dispatcherTimer_Tick (object sender, EventArgs e)
| Tick of timer for progress bar More...
void | TimerStart ()
| Start timer More...
void | TimerStop ()
| Stop timer More...
void | UpdateTimeRunnigProcess (TwinCatExtGen TcExtGener)
| Update value of timer for progress bar More...
void | InitzedGraphControl_BodePlot ()
| Initialization bode diagram graphs More...
void | GraphPane_AxisChangeEventMagnitude (GraphPane pane)
| Changed size of PlotChartMagnitude - set the same size in PlotChartPhase More...
void | GraphPane_AxisChangeEventPhase (GraphPane pane)
| Changed size of PlotChartPhase - set the same size in PlotChartMagnitude More...
void | PlotChartMagnitude_MouseClick (object sender, System.Windows.Forms.MouseEventArgs e)
| Mouse click on PlotChartMagnitude - add asymptote More...
void | PlotChartMagnitude_MouseClickEditAsymp (object sender, System.Windows.Forms.MouseEventArgs e)
| Mouse click on PlotChartMagnitude - edit asymptote More...
string | PlotChartMagnitude_CursorValueEvent (ZedGraphControl sender, GraphPane pane, System.Drawing.Point mousePt)
| Show cursor value in PlotChartMagnitude More...
string | PlotChartPhase_CursorValueEvent (ZedGraphControl sender, GraphPane pane, System.Drawing.Point mousePt)
| Show cursor value in PlotChartPhase More...
void | AddAsymptote (AsymptoteProperties AsymProp, TreeViewItemExt TreeViewIt)
| Add asymptote in PlotChartMagnitude More...
void | RefreshAsymptote (AsymptoteProperties AsymProp, TreeViewItemExt TreeViewIt)
| Refresh asymptote in PlotChartMagnitude with new settings More...
void | InitzedGraphControl_CurrentPlot ()
| Initialization of current graph More...
void | InitzedGraphControl_StepResponse ()
| Initialization of step response graph More...
void | ShowCurrentPlot (MeasureData ReadDataTwinCAT)
| Show current values in PlotChartCurrent - maximum last 10000 values More...
void | ShowCurrentAllPlot (MeasureData ReadDataTwinCAT)
| Show current values in PlotChartCurrent - all values More...
void | ClearCurrentPlot ()
| Clear current plot More...
System.Drawing.Color | WpfBrushToDrawingColor (System.Windows.Media.SolidColorBrush br)
| Convert System.Windows.Media.SolidcolorBrush to System.Drawing.Color More...
void | AddBodePlot (MeasureData ReadDataTwinCAT, TreeViewItemExt treeItem)
| Add curve to graph of bode plot More...
void | AddBodePlot (TcBodeData ReadDataTwinCAT, TreeViewItemExt treeItem)
| Add curve to graph of bode plot More...
void | RefreshBodePlot (TwinCatExtGen DataTwinCAT, int SelcID)
| Refresh bode diagram (magnitude and phase) More...
void | AddStepResPlot (MeasureData ReadDataTwinCAT, TreeViewItemExt treeItem)
| Add curve to graph of Step response plot More...
void | SetProperties (DataProperties iDataIdent)
| Set Properties window according to DataProperties More...
void | SetProperties (TcBodeData iDataIdent)
| Set Properties window according to TcBodeData More...
void | SetProperties (AsymptoteProperties AsymptoteProper)
| Set Properties window according to TcBodeData More...
void | FreezeSetProperties ()
| Freeze SetProperties in Properties window More...
void | DefrostSetProperties ()
| Defrost SetProperties in Properties window More...
void | FreezeTargetProperties ()
| Freeze TragetProperties in Properties window More...
void | DefrostTargetProperties ()
| Defrost TragetProperties in Properties window More...
void | RefreshUnits ()
| Refresh units in Properties window More...
bool | CheckGenerProp ()
| Check generator properties in Properties window and update sources More...
bool | CheckTargetProp ()
| Check target properties in Properties window and update sources More...
void | AddCurveMd (TwinCatExtGen InData)
| Add last item from TwinCatExtGen.MeasuredData to TreeView (list of curves) and to graphs and set ID in TwinCatExtGen.MeasuredData More...
void | AddCurveMd (List< TwinCatBode > InData)
| Add last item from List(TwinCatBode) to TreeView (list of curves) and to graphs and set ID in TwinCatBode More...
void | AddCurveMd (List< AsymptoteProperties > InData)
| Add asymptote to list of curves More...
void | RefreshCurveMd (List< AsymptoteProperties > InData, TreeViewItemExt actTreeItem)
| Refresh asymptote in list of curves More...
StackPanel | GetTreeMainItem (string name, int ID)
| Create main item for TreeView element More...
StackPanel | GetTreeMainItem (string name, int ID, int color)
| Create main item for TreeView element More...
void | MenuChBDispListCurves_Click (object sender, RoutedEventArgs e)
| Clik on CheckBox for display/hide list of curves More...
void | MenuChBDispCurrentGraph_Click (object sender, RoutedEventArgs e)
| Clik on CheckBox for display/hide current graph More...
void | MenuChBDispMagnitudeGraph_Click (object sender, RoutedEventArgs e)
| Clik on CheckBox for display/hide Magnitude graph More...
void | MenuChBDispPhaseGraph_Click (object sender, RoutedEventArgs e)
| Clik on CheckBox for display/hide Phase graph More...
void | MenuChBDispStepResponse_Click (object sender, RoutedEventArgs e)
| Clik on CheckBox for display/hide Step Response graph More...
void | MenuChBDispStepResponseSymbols_Click (object sender, RoutedEventArgs e)
| Clik on CheckBox for display/hide symbols in Step Response graph More...
void | MenuChBDispProperties_Click (object sender, RoutedEventArgs e)

## Private Attributes
TwinCatExtGen | TwinCatExtGen1
| Class for control external generator in PLC and storage of measured data More...
List< TwinCatBode > | ListTcBode
| List of Bode diagram from Bechoff TwinCAT tool More...
List< AsymptoteProperties > | ListAsymptoteProperties
| List of asymptotes More...
System.Windows.Threading.DispatcherTimer | dispatcherTimer = new System.Windows.Threading.DispatcherTimer()
| Timer - Watchdog More...
OpenFileDialog | openFileDialog_LoadData = new OpenFileDialog()
| Open file dialog - load measured data from spectral analysis (SysIdentifi data) More...
OpenFileDialog | openFileDialog_LoadTcBodeData = new OpenFileDialog()
| Open file dialog - load measured data from Beckhoff TwinCAT tool More...
OpenFileDialog | openFileDialog_LoadProfData = new OpenFileDialog()
| Open file dialog - load motion profile data More...
OpenFileDialog | openFileDialog_SettingsData = new OpenFileDialog()
| Open file dialog - load generator settings data More...
SaveFileDialog | saveFileDialog_SaveData = new SaveFileDialog()
| Save file dialog - save measured data from spectral analysis (SysIdentifi data) More...
SaveFileDialog | saveFileDialog_SaveSettingsData = new SaveFileDialog()
| Save file dialog - save generator settings data More...
string | LastPathSaveData = ""
| Last path used in saveFileDialog_SaveData More...
string | LastPathSaveSettingsData = ""
| Last path used in saveFileDialog_SaveSettingsData More...
int | CountSavedSettings = 0
| Count of saved settings More...
string | LastPathLoadData = ""
| Last path used in openFileDialog_LoadData More...
string | LastPathTcBodePlotData = ""
| Last path used in openFileDialog_LoadTcBodeData More...
string | LastPathProfData = ""
| Last path used in openFileDialog_LoadProfData More...
string | LastPathSetData = ""
| Last path used in openFileDialog_LoadProfData More...
ulong | EstimatedTimeRunnigProcess = 0
| Actual value estimated time of indetification More...
ulong | EstimatedTimeRunnigProcessFinish = 0
| Final estimated time of indetification More...
double | WidthListCurvesCurrentGraph = 250
| Width of ViewGrid.ColumnDefinitions[0] = Width of ListCurvesCurrentGraph in unwrapped state More...
double | HeightListCurves = 1
| Height of Curves list in unwrapped state More...
double | HeightCurrentGraph = 1
| Height of GraphCurrent in unwrapped state More...
double | WidthGraphGrid = 1
| Width of GraphGrid in unwrapped state More...
double | HeightMagnitudeGraph = 1
| Height of Magnitude Graph in unwrapped state More...
double | HeightPhaseGraph = 1
| Height of Phase Graph in unwrapped state More...
double | HeightStepResponseGraph = 1
| Height of Phase Graph in unwrapped state More...
double | WidthPropertiesGrid = 1
| Width of GraphGrid in unwrapped state More...

## Detailed Description

Interaction logic for MainWindow.xaml

## Constructor & Destructor Documentation

## ◆ MainWindow()

SysIdentifi.MainWindow.MainWindow | ( |  | ) |

Constructor for Main window

## Member Function Documentation

## ◆ AddAsymptote()

void SysIdentifi.MainWindow.AddAsymptote | ( | AsymptoteProperties | AsymProp,
|  | TreeViewItemExt | TreeViewIt
| ) |  |
| private

Add asymptote in PlotChartMagnitude

Parameters

  AsymProp | Properties of asymptote
  TreeViewIt | Corresponding TreeViewItem

## ◆ AddBodePlot() [1/2]

void SysIdentifi.MainWindow.AddBodePlot | ( | MeasureData | ReadDataTwinCAT,
|  | TreeViewItemExt | treeItem
| ) |  |
| private

Add curve to graph of bode plot

Parameters

  ReadDataTwinCAT | Measured data to bode plot
  treeItem | TreeViewItem corresponding to ReadDataTwinCAT

## ◆ AddBodePlot() [2/2]

void SysIdentifi.MainWindow.AddBodePlot | ( | TcBodeData | ReadDataTwinCAT,
|  | TreeViewItemExt | treeItem
| ) |  |
| private

Add curve to graph of bode plot

Parameters

  ReadDataTwinCAT | Measured data to bode plot
  treeItem | TreeViewItem corresponding to ReadDataTwinCAT

## ◆ AddCurveMd() [1/3]

void SysIdentifi.MainWindow.AddCurveMd | ( | TwinCatExtGen | InData | ) |
| private

Add last item from TwinCatExtGen.MeasuredData to TreeView (list of curves) and to graphs and set ID in TwinCatExtGen.MeasuredData

Parameters

  InData | Data with bode plot

## ◆ AddCurveMd() [2/3]

void SysIdentifi.MainWindow.AddCurveMd | ( | List< TwinCatBode > | InData | ) |
| private

Add last item from List(TwinCatBode) to TreeView (list of curves) and to graphs and set ID in TwinCatBode

Parameters

  InData | Data with bode plot

## ◆ AddCurveMd() [3/3]

void SysIdentifi.MainWindow.AddCurveMd | ( | List< AsymptoteProperties > | InData | ) |
| private

Add asymptote to list of curves

Parameters

  InData | Data asymptote properties

## ◆ AddStepResPlot()

void SysIdentifi.MainWindow.AddStepResPlot | ( | MeasureData | ReadDataTwinCAT,
|  | TreeViewItemExt | treeItem
| ) |  |
| private

Add curve to graph of Step response plot

Parameters

  ReadDataTwinCAT | Measured data to bode plot
  treeItem | TreeViewItem corresponding to ReadDataTwinCAT

## ◆ button_Asymptote_Click()

void SysIdentifi.MainWindow.button_Asymptote_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Active event for addition of asymptote

Parameters

  sender |
  e |

## ◆ button_Connect_Click()

void SysIdentifi.MainWindow.button_Connect_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Connect/Disconnect to PLC

Parameters

  sender |
  e |

## ◆ button_DeleteAllCurve_Click()

void SysIdentifi.MainWindow.button_DeleteAllCurve_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Delete of curves

Parameters

  sender |
  e |

## ◆ button_EditAsymptote_Click()

void SysIdentifi.MainWindow.button_EditAsymptote_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Active event for editing of asymptote

Parameters

  sender |
  e |

## ◆ button_EditNotes_Click()

void SysIdentifi.MainWindow.button_EditNotes_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Edit notes

Parameters

  sender |
  e |

## ◆ button_LoadData_Click()

void SysIdentifi.MainWindow.button_LoadData_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Show openFileDialog_LoadData

Parameters

  sender |
  e |

## ◆ button_LoadProfData_Click()

void SysIdentifi.MainWindow.button_LoadProfData_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Show openFileDialog_LoadProfData

Parameters

  sender |
  e |

## ◆ button_LoadSettings_Click()

void SysIdentifi.MainWindow.button_LoadSettings_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Show openFileDialog_SettingsData

Parameters

  sender |
  e |

## ◆ button_LoadTcBodePlotData_Click()

void SysIdentifi.MainWindow.button_LoadTcBodePlotData_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Show openFileDialog_LoadTcBodeData

Parameters

  sender |
  e |

## ◆ button_ResetError_Click()

void SysIdentifi.MainWindow.button_ResetError_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Reset error state of external generator (TwinCatExtGen1)

Parameters

  sender |
  e |

## ◆ button_ResetZoom_Click()

void SysIdentifi.MainWindow.button_ResetZoom_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Reset zoom of all graphs

Parameters

  sender |
  e |

## ◆ button_Run_Click()

void SysIdentifi.MainWindow.button_Run_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Run external genrator

Parameters

  sender |
  e |

## ◆ button_SaveData_Click()

void SysIdentifi.MainWindow.button_SaveData_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Show saveFileDialog_SaveData

Parameters

  sender |
  e |

## ◆ button_SaveSettingsData_Click()

void SysIdentifi.MainWindow.button_SaveSettingsData_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Show saveFileDialog_SaveSettingsData

Parameters

  sender |
  e |

## ◆ button_Stop_Click()

void SysIdentifi.MainWindow.button_Stop_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Stop external generator

Parameters

  sender |
  e |

## ◆ ChangedStateEvent()

void SysIdentifi.MainWindow.ChangedStateEvent | ( | object | source,
|  | StateEvent | e
| ) |  |
| private

Event - change state of generator

Parameters

  source |
  e | Actual state of external generator

## ◆ checkBox_AbsCurrent_Click()

void SysIdentifi.MainWindow.checkBox_AbsCurrent_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed check abs current - refresh current graph

Parameters

  sender |
  e |

## ◆ checkBox_CheckPhaseOwerflow_Click()

void SysIdentifi.MainWindow.checkBox_CheckPhaseOwerflow_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed check phase overflow - refresh bode diagram

Parameters

  sender |
  e |

## ◆ CheckGenerProp()

bool SysIdentifi.MainWindow.CheckGenerProp | ( |  | ) |
| private

Check generator properties in Properties window and update sources

Returns
  false - all properties in window are set correctly true - some property is set incorrectly

## ◆ CheckTargetProp()

bool SysIdentifi.MainWindow.CheckTargetProp | ( |  | ) |
| private

Check target properties in Properties window and update sources

Returns
  false - all properties in window are set correctly true - some property is set incorrectly

## ◆ ClearCurrentPlot()

void SysIdentifi.MainWindow.ClearCurrentPlot | ( |  | ) |
| private

Clear current plot

## ◆ comboBox_ModeControl_SelectionChanged()

void SysIdentifi.MainWindow.comboBox_ModeControl_SelectionChanged | ( | object | sender,
|  | SelectionChangedEventArgs | e
| ) |  |
| private

Changed selection comboBox_ModeControl - control mode

Parameters

  sender |
  e |

## ◆ comboBox_SelectedInputSignal_SelectionChanged()

void SysIdentifi.MainWindow.comboBox_SelectedInputSignal_SelectionChanged | ( | object | sender,
|  | SelectionChangedEventArgs | e
| ) |  |
| private

Changed type of identification signal

Parameters

  sender |
  e |

## ◆ comboBox_Units_SelectionChanged()

void SysIdentifi.MainWindow.comboBox_Units_SelectionChanged | ( | object | sender,
|  | SelectionChangedEventArgs | e
| ) |  |
| private

Changed selection comboBox_Units - units

Parameters

  sender |
  e |

## ◆ comboBoxModeAnalysis_SelectionChanged()

void SysIdentifi.MainWindow.comboBoxModeAnalysis_SelectionChanged | ( | object | sender,
|  | SelectionChangedEventArgs | e
| ) |  |
| private

Changed mode of spectral analysis - refresh bode diagram

Parameters

  sender |
  e |

## ◆ CurrentArrivedEvent()

void SysIdentifi.MainWindow.CurrentArrivedEvent | ( | object | source | ) |
| private

Arrived data set with current values

Parameters

  source |

## ◆ DataArrivedEvent()

void SysIdentifi.MainWindow.DataArrivedEvent | ( | object | source | ) |
| private

Arrived all data from measurement from PLC

Parameters

  source |

## ◆ DefrostSetProperties()

void SysIdentifi.MainWindow.DefrostSetProperties | ( |  | ) |
| private

Defrost SetProperties in Properties window

## ◆ DefrostTargetProperties()

void SysIdentifi.MainWindow.DefrostTargetProperties | ( |  | ) |
| private

Defrost TragetProperties in Properties window

## ◆ dispatcherTimer_Tick()

void SysIdentifi.MainWindow.dispatcherTimer_Tick | ( | object | sender,
|  | EventArgs | e
| ) |  |
| private

Tick of timer for progress bar

Parameters

  sender |
  e |

## ◆ ErrorOccuredEvent()

void SysIdentifi.MainWindow.ErrorOccuredEvent | ( | object | source | ) |
| private

Occured error in PLC

Parameters

  source | Error message from PLC

## ◆ eventChangeAsymptoteTreeItem()

void SysIdentifi.MainWindow.eventChangeAsymptoteTreeItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event for click on main checkbox in TreeView element(list of curves) - only asymptote TreeViewElement

Parameters

  source |
  e |

## ◆ eventChangeTreeClosedLoopItem()

void SysIdentifi.MainWindow.eventChangeTreeClosedLoopItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event from change Closed loop TreeView element (Click event)

Parameters

  source |
  e |

## ◆ eventChangeTreeItem()

void SysIdentifi.MainWindow.eventChangeTreeItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event for click on main checkbox in TreeView element(list of curves) - all curves expect for asymptote TreeViewElement

Parameters

  source |
  e |

## ◆ eventChangeTreeOpenLoopItem()

void SysIdentifi.MainWindow.eventChangeTreeOpenLoopItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event from change Open loop TreeView element (Click event)

Parameters

  source |
  e |

## ◆ eventChangeTreeProcessItem()

void SysIdentifi.MainWindow.eventChangeTreeProcessItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event from change Process TreeView element (Click event)

Parameters

  source |
  e |

## ◆ eventChangeTreeStepItem()

void SysIdentifi.MainWindow.eventChangeTreeStepItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event from change Step TreeView element (Click event)

Load

Parameters

  source |
  e |

## ◆ eventChangeTreeStepResInItem()

void SysIdentifi.MainWindow.eventChangeTreeStepResInItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event from change In item in Step response TreeView element (Click event)

Parameters

  source |
  e |

## ◆ eventChangeTreeStepResOutItem()

void SysIdentifi.MainWindow.eventChangeTreeStepResOutItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event from change Out item in Step response TreeView element (Click event)

Parameters

  source |
  e |

## ◆ eventEnabledTreeClosedLoopItem()

void SysIdentifi.MainWindow.eventEnabledTreeClosedLoopItem | ( | object | source,
|  | System.Windows.DependencyPropertyChangedEventArgs | e
| ) |  |
| private

Event from change Closed loop TreeView element (Enabled property changed - event)

Parameters

  source |
  e |

## ◆ eventEnabledTreeOpenLoopItem()

void SysIdentifi.MainWindow.eventEnabledTreeOpenLoopItem | ( | object | source,
|  | System.Windows.DependencyPropertyChangedEventArgs | e
| ) |  |
| private

Event from change Open loop TreeView element (Enabled property changed - event)

Parameters

  source |
  e |

## ◆ eventEnabledTreeProcessItem()

void SysIdentifi.MainWindow.eventEnabledTreeProcessItem | ( | object | source,
|  | System.Windows.DependencyPropertyChangedEventArgs | e
| ) |  |
| private

Event from change Process TreeView element (Enabled property changed - event)

Parameters

  source |
  e |

## ◆ eventEnabledTreeStepItem()

void SysIdentifi.MainWindow.eventEnabledTreeStepItem | ( | object | source,
|  | System.Windows.DependencyPropertyChangedEventArgs | e
| ) |  |
| private

Event from change Step response TreeView element (Enabled property changed - event)

Parameters

  source |
  e |

## ◆ eventGotFocusTreeItem()

void SysIdentifi.MainWindow.eventGotFocusTreeItem | ( | object | source,
|  | System.Windows.RoutedEventArgs | e
| ) |  |
| private

Event - TreeView item got focus

Parameters

  source |
  e |

## ◆ FreezeSetProperties()

void SysIdentifi.MainWindow.FreezeSetProperties | ( |  | ) |
| private

Freeze SetProperties in Properties window

## ◆ FreezeTargetProperties()

void SysIdentifi.MainWindow.FreezeTargetProperties | ( |  | ) |
| private

Freeze TragetProperties in Properties window

## ◆ GetTreeMainItem() [1/2]

StackPanel SysIdentifi.MainWindow.GetTreeMainItem | ( | string | name,
|  | int | ID
| ) |  |
| private

Create main item for TreeView element

Parameters

  name | Name of curves
  ID | ID of curves

Returns

## ◆ GetTreeMainItem() [2/2]

StackPanel SysIdentifi.MainWindow.GetTreeMainItem | ( | string | name,
|  | int | ID,
|  | int | color
| ) |  |
| private

Create main item for TreeView element

Parameters

  name | Name of curves
  ID | ID of curves

///

Parameters

  color | color of curves

Returns

## ◆ GraphPane_AxisChangeEventMagnitude()

void SysIdentifi.MainWindow.GraphPane_AxisChangeEventMagnitude | ( | GraphPane | pane | ) |
| private

Changed size of PlotChartMagnitude - set the same size in PlotChartPhase

Parameters

  pane |

## ◆ GraphPane_AxisChangeEventPhase()

void SysIdentifi.MainWindow.GraphPane_AxisChangeEventPhase | ( | GraphPane | pane | ) |
| private

Changed size of PlotChartPhase - set the same size in PlotChartMagnitude

Parameters

  pane |

## ◆ InitzedGraphControl_BodePlot()

void SysIdentifi.MainWindow.InitzedGraphControl_BodePlot | ( |  | ) |
| private

Initialization bode diagram graphs

## ◆ InitzedGraphControl_CurrentPlot()

void SysIdentifi.MainWindow.InitzedGraphControl_CurrentPlot | ( |  | ) |
| private

Initialization of current graph

## ◆ InitzedGraphControl_StepResponse()

void SysIdentifi.MainWindow.InitzedGraphControl_StepResponse | ( |  | ) |
| private

Initialization of step response graph

## ◆ IntToColor()

static System.Windows.Media.SolidColorBrush SysIdentifi.MainWindow.IntToColor | ( | int | ID | ) |
| static

Return color for specific ID. Return 15 colors.

Parameters

  ID | ID of set of curves

Returns

## ◆ MenuChBDispCurrentGraph_Click()

void SysIdentifi.MainWindow.MenuChBDispCurrentGraph_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Clik on CheckBox for display/hide current graph

Parameters

  sender |
  e |

## ◆ MenuChBDispListCurves_Click()

void SysIdentifi.MainWindow.MenuChBDispListCurves_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Clik on CheckBox for display/hide list of curves

Parameters

  sender |
  e |

## ◆ MenuChBDispMagnitudeGraph_Click()

void SysIdentifi.MainWindow.MenuChBDispMagnitudeGraph_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Clik on CheckBox for display/hide Magnitude graph

Parameters

  sender |
  e |

## ◆ MenuChBDispPhaseGraph_Click()

void SysIdentifi.MainWindow.MenuChBDispPhaseGraph_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Clik on CheckBox for display/hide Phase graph

Parameters

  sender |
  e |

## ◆ MenuChBDispStepResponse_Click()

void SysIdentifi.MainWindow.MenuChBDispStepResponse_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Clik on CheckBox for display/hide Step Response graph

Parameters

  sender |
  e |

## ◆ MenuChBDispStepResponseSymbols_Click()

void SysIdentifi.MainWindow.MenuChBDispStepResponseSymbols_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Clik on CheckBox for display/hide symbols in Step Response graph

Parameters

  sender |
  e |

## ◆ MenuExit_Click()

void SysIdentifi.MainWindow.MenuExit_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Close application

Parameters

  sender |
  e |

## ◆ MenuHelpEn_Click()

void SysIdentifi.MainWindow.MenuHelpEn_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Manual in English

Parameters

  sender |
  e |

## ◆ MenuHelpSk_Click()

void SysIdentifi.MainWindow.MenuHelpSk_Click | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Manual in Slovak

Parameters

  sender |
  e |

## ◆ NumberDoubleValidationTextBox()

void SysIdentifi.MainWindow.NumberDoubleValidationTextBox | ( | object | sender,
|  | TextCompositionEventArgs | e
| ) |  |
| private

Allow only float nummbers insert to textBoxes

Parameters

  sender |
  e |

## ◆ NumberIntValidationTextBox()

void SysIdentifi.MainWindow.NumberIntValidationTextBox | ( | object | sender,
|  | TextCompositionEventArgs | e
| ) |  |
| private

Allow only integers insert to textBoxes

Parameters

  sender |
  e |

## ◆ NumberPositiveDoubleValidationTextBox()

void SysIdentifi.MainWindow.NumberPositiveDoubleValidationTextBox | ( | object | sender,
|  | TextCompositionEventArgs | e
| ) |  |
| private

Allow only positive float nummbers insert to textBoxes

Parameters

  sender |
  e |

## ◆ NumberValidationTextBox()

void SysIdentifi.MainWindow.NumberValidationTextBox | ( | object | sender,
|  | TextCompositionEventArgs | e
| ) |  |
| private

Allow only positive integers insert to textBoxes

Parameters

  sender |
  e |

## ◆ openFileDialog_LoadData_FileOk()

void SysIdentifi.MainWindow.openFileDialog_LoadData_FileOk | ( | object | sender,
|  | CancelEventArgs | e
| ) |  |
| private

openFileDialog_LoadData is closed - load data from spectral analysis (SysIdentifi data)

Parameters

  sender |
  e |

## ◆ openFileDialog_LoadProfData_FileOk()

void SysIdentifi.MainWindow.openFileDialog_LoadProfData_FileOk | ( | object | sender,
|  | CancelEventArgs | e
| ) |  |
| private

openFileDialog_LoadProfData is closed - load motion profile data

Parameters

  sender |
  e |

## ◆ openFileDialog_LoadTcBodeData_FileOk()

void SysIdentifi.MainWindow.openFileDialog_LoadTcBodeData_FileOk | ( | object | sender,
|  | CancelEventArgs | e
| ) |  |
| private

openFileDialog_LoadTcBodeData is closed - load data from Beckhoff TwinCAT tool

Parameters

  sender |
  e |

## ◆ openFileDialog_SettingsData_FileOk()

void SysIdentifi.MainWindow.openFileDialog_SettingsData_FileOk | ( | object | sender,
|  | CancelEventArgs | e
| ) |  |
| private

openFileDialog_SettingsData is closed - load generator settings

Parameters

  sender |
  e |

## ◆ PlotChartMagnitude_CursorValueEvent()

string SysIdentifi.MainWindow.PlotChartMagnitude_CursorValueEvent | ( | ZedGraphControl | sender,
|  | GraphPane | pane,
|  | System.Drawing.Point | mousePt
| ) |  |
| private

Show cursor value in PlotChartMagnitude

Parameters

  sender |
  pane |
  mousePt |

Returns

## ◆ PlotChartMagnitude_MouseClick()

void SysIdentifi.MainWindow.PlotChartMagnitude_MouseClick | ( | object | sender,
|  | System.Windows.Forms.MouseEventArgs | e
| ) |  |
| private

Mouse click on PlotChartMagnitude - add asymptote

Parameters

  sender |
  e |

## ◆ PlotChartMagnitude_MouseClickEditAsymp()

void SysIdentifi.MainWindow.PlotChartMagnitude_MouseClickEditAsymp | ( | object | sender,
|  | System.Windows.Forms.MouseEventArgs | e
| ) |  |
| private

Mouse click on PlotChartMagnitude - edit asymptote

Parameters

  sender |
  e |

## ◆ PlotChartPhase_CursorValueEvent()

string SysIdentifi.MainWindow.PlotChartPhase_CursorValueEvent | ( | ZedGraphControl | sender,
|  | GraphPane | pane,
|  | System.Drawing.Point | mousePt
| ) |  |
| private

Show cursor value in PlotChartPhase

Parameters

  sender |
  pane |
  mousePt |

Returns

## ◆ radioButton_Linear_Checked()

void SysIdentifi.MainWindow.radioButton_Linear_Checked | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed type of x-axis - linear

Parameters

  sender |
  e |

## ◆ radioButton_Logaritmic_Checked()

void SysIdentifi.MainWindow.radioButton_Logaritmic_Checked | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed type of x-axis - logarithmic

Parameters

  sender |
  e |

## ◆ RefreshAsymptote()

void SysIdentifi.MainWindow.RefreshAsymptote | ( | AsymptoteProperties | AsymProp,
|  | TreeViewItemExt | TreeViewIt
| ) |  |
| private

Refresh asymptote in PlotChartMagnitude with new settings

Parameters

  AsymProp | Properties of asymptote
  TreeViewIt | Corresponding TreeViewItem

## ◆ RefreshBodePlot()

void SysIdentifi.MainWindow.RefreshBodePlot | ( | TwinCatExtGen | DataTwinCAT,
|  | int | SelcID
| ) |  |
| private

Refresh bode diagram (magnitude and phase)

Parameters

  DataTwinCAT |
  SelcID |

## ◆ RefreshCurveMd()

void SysIdentifi.MainWindow.RefreshCurveMd | ( | List< AsymptoteProperties > | InData,
|  | TreeViewItemExt | actTreeItem
| ) |  |
| private

Refresh asymptote in list of curves

Parameters

  InData | Data asymptote properties
  actTreeItem | Actual editing TreeViewItemExt

## ◆ RefreshUnits()

void SysIdentifi.MainWindow.RefreshUnits | ( |  | ) |
| private

Refresh units in Properties window

## ◆ saveFileDialog_SaveData_FileOk()

void SysIdentifi.MainWindow.saveFileDialog_SaveData_FileOk | ( | object | sender,
|  | CancelEventArgs | e
| ) |  |
| private

saveFileDialog_SaveData is closed - save data

Parameters

  sender |
  e |

## ◆ saveFileDialog_SaveSettingsData_FileOk()

void SysIdentifi.MainWindow.saveFileDialog_SaveSettingsData_FileOk | ( | object | sender,
|  | CancelEventArgs | e
| ) |  |
| private

saveFileDialog_SaveSettingsData is closed - save settings

Parameters

  sender |
  e |

## ◆ SetProperties() [1/3]

void SysIdentifi.MainWindow.SetProperties | ( | DataProperties | iDataIdent | ) |
| private

Set Properties window according to DataProperties

Parameters

  iDataIdent |

## ◆ SetProperties() [2/3]

void SysIdentifi.MainWindow.SetProperties | ( | TcBodeData | iDataIdent | ) |
| private

Set Properties window according to TcBodeData

Parameters

  iDataIdent |

## ◆ SetProperties() [3/3]

void SysIdentifi.MainWindow.SetProperties | ( | AsymptoteProperties | AsymptoteProper | ) |
| private

Set Properties window according to TcBodeData

Parameters

  AsymptoteProper |

## ◆ ShowCurrentAllPlot()

void SysIdentifi.MainWindow.ShowCurrentAllPlot | ( | MeasureData | ReadDataTwinCAT | ) |
| private

Show current values in PlotChartCurrent - all values

Parameters

  ReadDataTwinCAT |

## ◆ ShowCurrentPlot()

void SysIdentifi.MainWindow.ShowCurrentPlot | ( | MeasureData | ReadDataTwinCAT | ) |
| private

Show current values in PlotChartCurrent - maximum last 10000 values

Parameters

  ReadDataTwinCAT |

## ◆ textBox_AllowedTorqueRangeIdent_GotFocus()

void SysIdentifi.MainWindow.textBox_AllowedTorqueRangeIdent_GotFocus | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

If set value for allowed torque range during indentification -> enable torque range check during indetification

Parameters

  sender |
  e |

## ◆ textBox_AllowedTorqueRangeStRes_GotFocus()

void SysIdentifi.MainWindow.textBox_AllowedTorqueRangeStRes_GotFocus | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

If set value for allowed torque range during step response -> enable torque range check during step response

Parameters

  sender |
  e |

## ◆ textBox_AllowPositionRange_GotFocus()

void SysIdentifi.MainWindow.textBox_AllowPositionRange_GotFocus | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

If set value for allowed position range -> enable position range check

Parameters

  sender |
  e |

## ◆ textBox_CountOfRepeat_TextChanged()

void SysIdentifi.MainWindow.textBox_CountOfRepeat_TextChanged | ( | object | sender,
|  | TextChangedEventArgs | e
| ) |  |
| private

Changed count of repeat of identification signal set

Parameters

  sender |
  e |

## ◆ textBox_LengthWindow_TextChanged()

void SysIdentifi.MainWindow.textBox_LengthWindow_TextChanged | ( | object | sender,
|  | TextChangedEventArgs | e
| ) |  |
| private

Changed length window for spectral analysis - refresh bode diagram

Parameters

  sender |
  e |

## ◆ textBox_OffsetIOdata_TextChanged()

void SysIdentifi.MainWindow.textBox_OffsetIOdata_TextChanged | ( | object | sender,
|  | TextChangedEventArgs | e
| ) |  |
| private

Changed offset for measured I/O data - refresh bode diagram

Parameters

  sender |
  e |

## ◆ textBox_Period_LostFocus()

void SysIdentifi.MainWindow.textBox_Period_LostFocus | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed period of identification signal

Parameters

  sender |
  e |

## ◆ textBox_PreTriggerStep_LostFocus()

void SysIdentifi.MainWindow.textBox_PreTriggerStep_LostFocus | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed pre-trigger time for step response

Parameters

  sender |
  e |

## ◆ textBox_TimeStep_LostFocus()

void SysIdentifi.MainWindow.textBox_TimeStep_LostFocus | ( | object | sender,
|  | RoutedEventArgs | e
| ) |  |
| private

Changed duration of step response

Parameters

  sender |
  e |

## ◆ TimerStart()

void SysIdentifi.MainWindow.TimerStart | ( |  | ) |
| private

Start timer

## ◆ TimerStop()

void SysIdentifi.MainWindow.TimerStop | ( |  | ) |
| private

Stop timer

## ◆ UpdateTimeRunnigProcess()

void SysIdentifi.MainWindow.UpdateTimeRunnigProcess | ( | TwinCatExtGen | TcExtGener | ) |
| private

Update value of timer for progress bar

Parameters

  TcExtGener |

## ◆ Window_Closed()

void SysIdentifi.MainWindow.Window_Closed | ( | object | sender,
|  | EventArgs | e
| ) |  |
| private

Application is closed - Disconnect from PLC

Parameters

  sender |
  e |

## ◆ WpfBrushToDrawingColor()

System.Drawing.Color SysIdentifi.MainWindow.WpfBrushToDrawingColor | ( | System.Windows.Media.SolidColorBrush | br | ) |
| private

Convert System.Windows.Media.SolidcolorBrush to System.Drawing.Color

Parameters

  br |

Returns

## Member Data Documentation

## ◆ CountSavedSettings

int SysIdentifi.MainWindow.CountSavedSettings = 0
| private

Count of saved settings

## ◆ dispatcherTimer

System.Windows.Threading.DispatcherTimer SysIdentifi.MainWindow.dispatcherTimer = new System.Windows.Threading.DispatcherTimer()
| private

Timer - Watchdog

## ◆ EstimatedTimeRunnigProcess

ulong SysIdentifi.MainWindow.EstimatedTimeRunnigProcess = 0
| private

Actual value estimated time of indetification

## ◆ EstimatedTimeRunnigProcessFinish

ulong SysIdentifi.MainWindow.EstimatedTimeRunnigProcessFinish = 0
| private

Final estimated time of indetification

## ◆ HeightCurrentGraph

double SysIdentifi.MainWindow.HeightCurrentGraph = 1
| private

Height of GraphCurrent in unwrapped state

## ◆ HeightListCurves

double SysIdentifi.MainWindow.HeightListCurves = 1
| private

Height of Curves list in unwrapped state

## ◆ HeightMagnitudeGraph

double SysIdentifi.MainWindow.HeightMagnitudeGraph = 1
| private

Height of Magnitude Graph in unwrapped state

## ◆ HeightPhaseGraph

double SysIdentifi.MainWindow.HeightPhaseGraph = 1
| private

Height of Phase Graph in unwrapped state

## ◆ HeightStepResponseGraph

double SysIdentifi.MainWindow.HeightStepResponseGraph = 1
| private

Height of Phase Graph in unwrapped state

## ◆ LastPathLoadData

string SysIdentifi.MainWindow.LastPathLoadData = ""
| private

Last path used in openFileDialog_LoadData

## ◆ LastPathProfData

string SysIdentifi.MainWindow.LastPathProfData = ""
| private

Last path used in openFileDialog_LoadProfData

## ◆ LastPathSaveData

string SysIdentifi.MainWindow.LastPathSaveData = ""
| private

Last path used in saveFileDialog_SaveData

## ◆ LastPathSaveSettingsData

string SysIdentifi.MainWindow.LastPathSaveSettingsData = ""
| private

Last path used in saveFileDialog_SaveSettingsData

## ◆ LastPathSetData

string SysIdentifi.MainWindow.LastPathSetData = ""
| private

Last path used in openFileDialog_LoadProfData

## ◆ LastPathTcBodePlotData

string SysIdentifi.MainWindow.LastPathTcBodePlotData = ""
| private

Last path used in openFileDialog_LoadTcBodeData

## ◆ ListAsymptoteProperties

List<AsymptoteProperties> SysIdentifi.MainWindow.ListAsymptoteProperties
| private

List of asymptotes

## ◆ ListTcBode

List<TwinCatBode> SysIdentifi.MainWindow.ListTcBode
| private

List of Bode diagram from Bechoff TwinCAT tool

## ◆ openFileDialog_LoadData

OpenFileDialog SysIdentifi.MainWindow.openFileDialog_LoadData = new OpenFileDialog()
| private

Open file dialog - load measured data from spectral analysis (SysIdentifi data)

## ◆ openFileDialog_LoadProfData

OpenFileDialog SysIdentifi.MainWindow.openFileDialog_LoadProfData = new OpenFileDialog()
| private

Open file dialog - load motion profile data

## ◆ openFileDialog_LoadTcBodeData

OpenFileDialog SysIdentifi.MainWindow.openFileDialog_LoadTcBodeData = new OpenFileDialog()
| private

Open file dialog - load measured data from Beckhoff TwinCAT tool

## ◆ openFileDialog_SettingsData

OpenFileDialog SysIdentifi.MainWindow.openFileDialog_SettingsData = new OpenFileDialog()
| private

Open file dialog - load generator settings data

## ◆ saveFileDialog_SaveData

SaveFileDialog SysIdentifi.MainWindow.saveFileDialog_SaveData = new SaveFileDialog()
| private

Save file dialog - save measured data from spectral analysis (SysIdentifi data)

## ◆ saveFileDialog_SaveSettingsData

SaveFileDialog SysIdentifi.MainWindow.saveFileDialog_SaveSettingsData = new SaveFileDialog()
| private

Save file dialog - save generator settings data

## ◆ TwinCatExtGen1

TwinCatExtGen SysIdentifi.MainWindow.TwinCatExtGen1
| private

Class for control external generator in PLC and storage of measured data

## ◆ WidthGraphGrid

double SysIdentifi.MainWindow.WidthGraphGrid = 1
| private

Width of GraphGrid in unwrapped state

## ◆ WidthListCurvesCurrentGraph

double SysIdentifi.MainWindow.WidthListCurvesCurrentGraph = 250
| private

Width of ViewGrid.ColumnDefinitions[0] = Width of ListCurvesCurrentGraph in unwrapped state

## ◆ WidthPropertiesGrid

double SysIdentifi.MainWindow.WidthPropertiesGrid = 1
| private

Width of GraphGrid in unwrapped state

The documentation for this class was generated from the following file:

- C:/Users/matusa.BECKHOFF/Documents/Indentifikacia sustav/System Identification WPF/SysIdentifi/SysIdentifi/MainWindow.xaml.cs